Resources
Members
Board membership, roles, access levels, and board positions.
A board member represents a user's membership on a board, including their role, access level, and board positions. Members are scoped to a specific board.
Endpoints
| Method | Path | Description |
|---|---|---|
GET | /api/v1/boards/:boardId/members | List board members |
GET | /api/v1/boards/:boardId/members/:memberId | Get a board member |
Board Member Object
{
"object": "board_member",
"id": "60d5ec49f1a2c8b1f8e4e1c1",
"userId": "507f1f77bcf86cd799439011",
"boardId": "60d5ec49f1a2c8b1f8e4e1a1",
"email": "[email protected]",
"firstName": "Jane",
"lastName": "Doe",
"adminRole": "admin",
"accessType": "collaborator",
"boardPositions": ["Chair", "Treasurer"],
"isInternalMgmt": false,
"createdAt": "2025-02-01T10:00:00.000Z",
"updatedAt": "2025-06-15T12:00:00.000Z"
}Fields
| Field | Type | Description |
|---|---|---|
object | "board_member" | Always "board_member" |
id | string | Opaque membership ID |
userId | string | The user's ID |
boardId | string | The board's ID |
email | string | null | Member's email |
firstName | string | null | Member's first name |
lastName | string | null | Member's last name |
adminRole | string | Administrative role on the board |
accessType | string | Access level type |
boardPositions | string[] | Positions held on the board (e.g. Chair, Treasurer, Secretary) |
isInternalMgmt | boolean | Whether this member is internal management staff |
createdAt | string | ISO-8601 timestamp |
updatedAt | string | ISO-8601 timestamp |
List Board Members
GET /api/v1/boards/:boardId/membersExample
curl -s "https://app.imboard.ai/api/v1/boards/60d5ec49f1a2c8b1f8e4e1a1/members?limit=50" \
-H "Authorization: Bearer imb_pat_YOUR_TOKEN" | jqGet a Board Member
GET /api/v1/boards/:boardId/members/:memberIdExample
curl -s https://app.imboard.ai/api/v1/boards/60d5ec49f1a2c8b1f8e4e1a1/members/60d5ec49f1a2c8b1f8e4e1c1 \
-H "Authorization: Bearer imb_pat_YOUR_TOKEN" | jq